
// appValues provides functions to get Seekia app values
// These are constants that can be different for each Seekia app version

package appValues

import "errors"

func GetSeekiaVersion()float32{

	version := float32(0.76)

	return version
}

func GetGeneticAnalysisVersion()int{
	return 1
}

func GetMessageVersion()int{
	return 1
}

func GetProfileVersion(profileType string)(int, error){

	if (profileType == "Mate"){
		return 1, nil
	}
	if (profileType == "Host"){
		return 1, nil
	}
	if (profileType == "Moderator"){
		return 1, nil
	}
	return 0, errors.New("GetProfileVersion called with invalid profile type: " + profileType)
}

func GetReviewVersion()int{
	return 1
}

func GetReportVersion()int{
	return 1
}

// Maximum side length in pixels
func GetStandardImageMaximumSideLength()int{
	return 800
}

func GetStandardImageMaximumBytes()int{
	return 20000
}


